Loading...
Searching...
No Matches
globalaggregates.hh File Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

Provdes class for identifying aggregates globally. More...

`#include "aggregates.hh"`
`#include "pinfo.hh"`
`#include <dune/common/parallel/indexset.hh>`

Go to the source code of this file.

## Classes

struct | Dune::Amg::GlobalAggregatesMap< T, TI >
class | Dune::Amg::GlobalAggregatesMap< T, TI >::Proxy
struct | Dune::Amg::AggregatesGatherScatter< T, TI >
struct | Dune::Amg::AggregatesPublisher< T, O, I >
struct | Dune::Amg::AggregatesPublisher< T, O, OwnerOverlapCopyCommunication< T1, T2 > >
| Utility class for publishing the aggregate number of the DOFs in the overlap to other processors and convert them to local indices. More...
struct | Dune::Amg::AggregatesPublisher< T, O, SequentialInformation >
struct | Dune::CommPolicy< Amg::GlobalAggregatesMap< T, TI > >

## Namespaces

namespace | Dune
namespace | Dune::Amg

## Variables

template<typename T, typename TI>
const TI::GlobalIndex | Dune::Amg::GlobalAggregatesMap< T, TI >::isolatedMarker

## Detailed Description

Provdes class for identifying aggregates globally.

Author
  Markus Blatt